[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TLocateOptions

Options to use when locating a record in a dataset

## Declaration

Source position: db.pas line 1287

`type TLocateOptions = set of (`
`loCaseInsensitive,` |  | Perform a case-insensitive search
`loPartialKey` |  | Accept partial key matches for string fields
`);`

## Description

TLocateOptions is used in the TDataset.Locate call: It should contain the actual options to use when locating a record in the dataset.

## See also

TDataset.Locate |  | Locate a record based on some key values
TLocateOption |  | Available options when locating a record in a dataset

Documentation generated on: Feb 26 2014